package cn.iocoder.yudao.module.system.service.tool;

import cn.iocoder.yudao.module.system.controller.admin.tool.dto.SendMsgToMqttDTO;

import javax.servlet.http.HttpServletResponse;
import javax.validation.Valid;
import javax.validation.constraints.NotBlank;

public interface ToolsService {
    String sendPPsortConfig();

    String cleanAgv( String agvNo);

    String closeTaskDetail(String taskDetailId);

    String updateWarnCode();

    void simulationPose();

    /**
     * 发送消息给MQTT
     * @param dto
     */
    void sendMsgToMQTT(SendMsgToMqttDTO dto);
}
